Bug 14117 - Silence warnings t/Search_PazPar2.t
Summary: Silence warnings t/Search_PazPar2.t
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Test Suite (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: M. Tompsett
QA Contact: Galen Charlton
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 8879
  Show dependency treegraph
 
Reported: 2015-05-02 01:38 UTC by M. Tompsett
Modified: 2016-12-05 21:23 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 14117: Silence warnings t/SearchPazPar2.t (2.95 KB, patch)
2015-05-02 01:41 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 14117: Silence warnings t/SearchPazPar2.t (3.00 KB, patch)
2015-05-10 08:27 UTC, Indranil Das Gupta
Details | Diff | Splinter Review
[PASSED QA] Bug 14117: Silence warnings t/SearchPazPar2.t (3.07 KB, patch)
2015-05-29 15:37 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description M. Tompsett 2015-05-02 01:38:00 UTC
Relative URLs trigger warnings. Test for them, instead of letting them loose on the screen.
Comment 1 M. Tompsett 2015-05-02 01:41:44 UTC Comment hidden (obsolete)
Comment 2 Indranil Das Gupta 2015-05-10 08:27:02 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2015-05-22 09:10:12 UTC
Does the warning is expected?
The tests you have added don't make any sense to me.
Comment 4 Jonathan Druart 2015-05-22 09:10:34 UTC
Actually the whole file don't make any sense...
Comment 5 M. Tompsett 2015-05-22 17:44:32 UTC
(In reply to Jonathan Druart from comment #4)
> Actually the whole file don't make any sense...

Prior to the patch?
Comment 6 Jonathan Druart 2015-05-24 09:44:40 UTC
yes
Comment 7 M. Tompsett 2015-05-24 15:00:25 UTC
(In reply to Jonathan Druart from comment #6)
> yes

Because of yaz client? Or is there something else I'm missing?
Comment 8 Jonathan Druart 2015-05-26 09:50:55 UTC
(In reply to M. Tompsett from comment #7)
> (In reply to Jonathan Druart from comment #6)
> > yes
> 
> Because of yaz client? Or is there something else I'm missing?

Sorry I don't get it.
I have just said that the file does not make sense, the tests are not really useful.
Comment 9 Kyle M Hall 2015-05-29 15:37:12 UTC
Created attachment 39693 [details] [review]
[PASSED QA] Bug 14117: Silence warnings t/SearchPazPar2.t

The use of relative URLS (null actually), triggers warnings.
Catch them, instead of letting them loose.

TEST PLAN
---------
1) $ prove t/Search_PazPar2.t
   -- noise for each test currently.
2) apply patch
3) $ prove t/Search_PazPar2.t
   -- No noise, and extra tests added.
      -v shows caught warning tests.
4) koha qa test tools.

Signed-off-by: Indranil Das Gupta <indradg@gmail.com>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 10 M. Tompsett 2015-05-29 16:15:37 UTC
(In reply to Jonathan Druart from comment #8)
> [SNIP] the tests are not really useful.

I have to agree, but this at least makes them quiet. Though, that does mean the issue of "Will tests ever be written that are meaningful for Search_ParPaz2?" is still worth addressing, but perhaps as a separate bug, since this is not about the quality of tests, but the noisiness of them.
Comment 11 Tomás Cohen Arazi 2015-06-01 17:18:44 UTC
Patch pushed to master.

Thanks Mark!